import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:karot_components/constant/button_style.dart';
import 'package:karot_components/constant/button_enum.dart';
import 'package:karot_components/constant/text_style.dart';
import 'package:karot_components/constant/theme.dart';

class KRTextButton extends StatelessWidget {
  final String text;
  final int textColor;
  final bool isBold;
  final bool isDisabled;
  final KRButtonSize size;
  final VoidCallback? onPress;

  const KRTextButton({
    Key? key,
    required this.text,
    this.onPress,
    this.isBold = false,
    this.isDisabled = false,
    this.size = KRButtonSize.large,
    this.textColor = KRTheme.DEFAULT_PRIMARY_COLOR,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return TextButton(
        style: BStyle.textButtonStyle(),
        onPressed: isDisabled ? null : onPress,
        child: Text(
          text,
          style: TStyle.buttonText(
              isBold: isBold, fontSize: size, color: isDisabled ? const Color(KRTheme.DEFAULT_GREY_COLOR) : Color(textColor)),
        ));
  }
}
